%define modname cry
%define name    ocaml-%{modname}
%define version 0.2.2
%define release %mkrel 6

Summary:        OCaml interface for MP3/Ogg Vorbis broadcast
Name:           %{name}
Version:        %{version}
Release:        %{release}
Source0:        http://downloads.sourceforge.net/project/savonet/%{name}/%{version}/%{name}-%{version}.tar.gz
License:        GPLv2
Group:          Development/OCaml
Url:            http://savonet.sourceforge.net/

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib

%description
This package contains an OCaml low level implementation of
the shout protocol.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q

%build
./configure --libdir=%{_libdir}
make all

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/%{modname}
make install


%files
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/%{modname}
%{_libdir}/ocaml/%{modname}/META
%{_libdir}/ocaml/%{modname}/*.cma
%{_libdir}/ocaml/%{modname}/*.cmi

%files devel
%{_libdir}/ocaml/%{modname}/*.a
%{_libdir}/ocaml/%{modname}/*.cmx
%{_libdir}/ocaml/%{modname}/*.cmxa
%{_libdir}/ocaml/%{modname}/*.mli


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.2.2-6.mga3
+ Revision: 361239
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.2.2-5.mga3
+ Revision: 301512
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.2.2-3.mga3
+ Revision: 300056
- new rpm group for ocaml

* Sun Dec 04 2011 malo <malo> 0.2.2-2.mga2
+ Revision: 176190
- spec clean-up
- splitting package, per Ocaml policy

* Sun Oct 09 2011 shlomif <shlomif> 0.2.2-1.mga2
+ Revision: 153537
- New version - 0.2.2. Applied patch by Malo.

* Sun Oct 02 2011 shlomif <shlomif> 0.2.1-2.mga2
+ Revision: 151063
- Rebuild for new OCaml - thanks to Malo.

* Thu Sep 29 2011 shlomif <shlomif> 0.2.1-1.mga2
+ Revision: 150284
- imported package ocaml-cry

